## rtl-sdr 2.0.2.1.ede3.202510232026

=== debian/changelog ===
rtl-sdr (2.0.2.1.ede3.202510232026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Thu, 23 Oct 2025 20:27:42 +0000

=== debian/control ===
Source: rtl-sdr
Section: comm
Priority: optional
Maintainer: A. Maitland Bottoms <bottoms@debian.org>
Build-Depends: cmake,
               debhelper (>= 10~),
               libusb-1.0-0-dev [linux-any],
               libusb-dev [hurd-i386],
               libusb2-dev [kfreebsd-any],
	       pkg-config
Standards-Version: 4.1.4
Homepage: http://sdr.osmocom.org/trac/wiki/rtl-sdr
Vcs-Browser: https://salsa.debian.org/bottoms/pkg-rtl-sdr
Vcs-Git: https://salsa.debian.org/bottoms/pkg-rtl-sdr.git

Package: librtlsdr-dev
Section: libdevel
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: osmocom-nightly (= 202510232026), librtlsdr0 (= ${binary:Version}),
         libusb-1.0-0-dev [!kfreebsd-any],
         libusb2-dev [kfreebsd-any],
         ${misc:Depends}
Description: Software defined radio receiver for Realtek RTL2832U (development)
 rtl-sdr is a software defined radio (SDR) receiver software for certain
 low-cost DVB-T/DAB(+) USB dongles based on the Realtek RTL2832U chip.
 .
 This package contains development files.

Package: librtlsdr0
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: osmocom-nightly (= 202510232026), ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: Software defined radio receiver for Realtek RTL2832U (library)
 rtl-sdr is a software defined radio (SDR) receiver software for certain
 low-cost DVB-T/DAB(+) USB dongles based on the Realtek RTL2832U chip.
 .
 This package contains the shared library.

Package: rtl-sdr
Architecture: any
Depends: osmocom-nightly (= 202510232026), librtlsdr0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: Software defined radio receiver for Realtek RTL2832U (tools)
 rtl-sdr is a software defined radio (SDR) receiver software for certain
 low-cost DVB-T/DAB(+) USB dongles based on the Realtek RTL2832U chip.
 .
 This package contains a set of command line utilities:
  * rtl_adsb: a simple ADS-B decoder for RTL2832 based DVB-T receivers
  * rtl_eeprom: an EEPROM programming tool for RTL2832 based DVB-T receivers
  * rtl_fm: a narrow band FM demodulator for RTL2832 based DVB-T receivers
  * rtl_sdr: an I/Q recorder for RTL2832 based DVB-T receivers
  * rtl_tcp: an I/Q spectrum server for RTL2832 based DVB-T receivers
  * rtl_test: a benchmark tool for RTL2832 based DVB-T receivers

## rtl-sdr 2.0.2.1.ede3.202510242026

=== debian/changelog ===
rtl-sdr (2.0.2.1.ede3.202510242026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Fri, 24 Oct 2025 20:27:43 +0000

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
 Section: libdevel
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: osmocom-nightly (= 202510232026), librtlsdr0 (= ${binary:Version}),
+Depends: osmocom-nightly (= 202510242026), librtlsdr0 (= ${binary:Version}),
          libusb-1.0-0-dev [!kfreebsd-any],
          libusb2-dev [kfreebsd-any],
          ${misc:Depends}
@@ -31,7 +31,7 @@
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: osmocom-nightly (= 202510232026), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202510242026), ${misc:Depends}, ${shlibs:Depends}
 Multi-Arch: same
 Description: Software defined radio receiver for Realtek RTL2832U (library)
  rtl-sdr is a software defined radio (SDR) receiver software for certain
@@ -41,7 +41,7 @@
 
 Package: rtl-sdr
 Architecture: any
-Depends: osmocom-nightly (= 202510232026), librtlsdr0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202510242026), librtlsdr0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Description: Software defined radio receiver for Realtek RTL2832U (tools)
  rtl-sdr is a software defined radio (SDR) receiver software for certain
  low-cost DVB-T/DAB(+) USB dongles based on the Realtek RTL2832U chip.

## rtl-sdr 2.0.2.1.ede3.202510252026

=== debian/changelog ===
rtl-sdr (2.0.2.1.ede3.202510252026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Sat, 25 Oct 2025 20:27:42 +0000

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
 Section: libdevel
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: osmocom-nightly (= 202510242026), librtlsdr0 (= ${binary:Version}),
+Depends: osmocom-nightly (= 202510252026), librtlsdr0 (= ${binary:Version}),
          libusb-1.0-0-dev [!kfreebsd-any],
          libusb2-dev [kfreebsd-any],
          ${misc:Depends}
@@ -31,7 +31,7 @@
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: osmocom-nightly (= 202510242026), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202510252026), ${misc:Depends}, ${shlibs:Depends}
 Multi-Arch: same
 Description: Software defined radio receiver for Realtek RTL2832U (library)
  rtl-sdr is a software defined radio (SDR) receiver software for certain
@@ -41,7 +41,7 @@
 
 Package: rtl-sdr
 Architecture: any
-Depends: osmocom-nightly (= 202510242026), librtlsdr0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202510252026), librtlsdr0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Description: Software defined radio receiver for Realtek RTL2832U (tools)
  rtl-sdr is a software defined radio (SDR) receiver software for certain
  low-cost DVB-T/DAB(+) USB dongles based on the Realtek RTL2832U chip.

## rtl-sdr 2.0.2.1.ede3.202510262026

=== debian/changelog ===
rtl-sdr (2.0.2.1.ede3.202510262026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Sun, 26 Oct 2025 20:27:43 +0000

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
 Section: libdevel
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: osmocom-nightly (= 202510252026), librtlsdr0 (= ${binary:Version}),
+Depends: osmocom-nightly (= 202510262026), librtlsdr0 (= ${binary:Version}),
          libusb-1.0-0-dev [!kfreebsd-any],
          libusb2-dev [kfreebsd-any],
          ${misc:Depends}
@@ -31,7 +31,7 @@
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: osmocom-nightly (= 202510252026), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202510262026), ${misc:Depends}, ${shlibs:Depends}
 Multi-Arch: same
 Description: Software defined radio receiver for Realtek RTL2832U (library)
  rtl-sdr is a software defined radio (SDR) receiver software for certain
@@ -41,7 +41,7 @@
 
 Package: rtl-sdr
 Architecture: any
-Depends: osmocom-nightly (= 202510252026), librtlsdr0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202510262026), librtlsdr0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Description: Software defined radio receiver for Realtek RTL2832U (tools)
  rtl-sdr is a software defined radio (SDR) receiver software for certain
  low-cost DVB-T/DAB(+) USB dongles based on the Realtek RTL2832U chip.

## rtl-sdr 2.0.2.1.ede3.202510272026

=== debian/changelog ===
rtl-sdr (2.0.2.1.ede3.202510272026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Mon, 27 Oct 2025 20:27:41 +0000

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
 Section: libdevel
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: osmocom-nightly (= 202510262026), librtlsdr0 (= ${binary:Version}),
+Depends: osmocom-nightly (= 202510272026), librtlsdr0 (= ${binary:Version}),
          libusb-1.0-0-dev [!kfreebsd-any],
          libusb2-dev [kfreebsd-any],
          ${misc:Depends}
@@ -31,7 +31,7 @@
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: osmocom-nightly (= 202510262026), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202510272026), ${misc:Depends}, ${shlibs:Depends}
 Multi-Arch: same
 Description: Software defined radio receiver for Realtek RTL2832U (library)
  rtl-sdr is a software defined radio (SDR) receiver software for certain
@@ -41,7 +41,7 @@
 
 Package: rtl-sdr
 Architecture: any
-Depends: osmocom-nightly (= 202510262026), librtlsdr0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202510272026), librtlsdr0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Description: Software defined radio receiver for Realtek RTL2832U (tools)
  rtl-sdr is a software defined radio (SDR) receiver software for certain
  low-cost DVB-T/DAB(+) USB dongles based on the Realtek RTL2832U chip.

## rtl-sdr 2.0.2.1.ede3.202510282026

=== debian/changelog ===
rtl-sdr (2.0.2.1.ede3.202510282026) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Tue, 28 Oct 2025 20:27:42 +0000

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
 Section: libdevel
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: osmocom-nightly (= 202510272026), librtlsdr0 (= ${binary:Version}),
+Depends: osmocom-nightly (= 202510282026), librtlsdr0 (= ${binary:Version}),
          libusb-1.0-0-dev [!kfreebsd-any],
          libusb2-dev [kfreebsd-any],
          ${misc:Depends}
@@ -31,7 +31,7 @@
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: osmocom-nightly (= 202510272026), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202510282026), ${misc:Depends}, ${shlibs:Depends}
 Multi-Arch: same
 Description: Software defined radio receiver for Realtek RTL2832U (library)
  rtl-sdr is a software defined radio (SDR) receiver software for certain
@@ -41,7 +41,7 @@
 
 Package: rtl-sdr
 Architecture: any
-Depends: osmocom-nightly (= 202510272026), librtlsdr0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202510282026), librtlsdr0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Description: Software defined radio receiver for Realtek RTL2832U (tools)
  rtl-sdr is a software defined radio (SDR) receiver software for certain
  low-cost DVB-T/DAB(+) USB dongles based on the Realtek RTL2832U chip.

## rtl-sdr 2.0.2.1.ede3.202510291800

=== debian/changelog ===
rtl-sdr (2.0.2.1.ede3.202510291800) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Wed, 29 Oct 2025 18:01:45 +0000

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
 Section: libdevel
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: osmocom-nightly (= 202510282026), librtlsdr0 (= ${binary:Version}),
+Depends: osmocom-nightly (= 202510291800), librtlsdr0 (= ${binary:Version}),
          libusb-1.0-0-dev [!kfreebsd-any],
          libusb2-dev [kfreebsd-any],
          ${misc:Depends}
@@ -31,7 +31,7 @@
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: osmocom-nightly (= 202510282026), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202510291800), ${misc:Depends}, ${shlibs:Depends}
 Multi-Arch: same
 Description: Software defined radio receiver for Realtek RTL2832U (library)
  rtl-sdr is a software defined radio (SDR) receiver software for certain
@@ -41,7 +41,7 @@
 
 Package: rtl-sdr
 Architecture: any
-Depends: osmocom-nightly (= 202510282026), librtlsdr0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202510291800), librtlsdr0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Description: Software defined radio receiver for Realtek RTL2832U (tools)
  rtl-sdr is a software defined radio (SDR) receiver software for certain
  low-cost DVB-T/DAB(+) USB dongles based on the Realtek RTL2832U chip.

## rtl-sdr 2.0.2.1.ede3.202510301800

=== debian/changelog ===
rtl-sdr (2.0.2.1.ede3.202510301800) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Thu, 30 Oct 2025 18:01:43 +0000

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
 Section: libdevel
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: osmocom-nightly (= 202510291800), librtlsdr0 (= ${binary:Version}),
+Depends: osmocom-nightly (= 202510301800), librtlsdr0 (= ${binary:Version}),
          libusb-1.0-0-dev [!kfreebsd-any],
          libusb2-dev [kfreebsd-any],
          ${misc:Depends}
@@ -31,7 +31,7 @@
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: osmocom-nightly (= 202510291800), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202510301800), ${misc:Depends}, ${shlibs:Depends}
 Multi-Arch: same
 Description: Software defined radio receiver for Realtek RTL2832U (library)
  rtl-sdr is a software defined radio (SDR) receiver software for certain
@@ -41,7 +41,7 @@
 
 Package: rtl-sdr
 Architecture: any
-Depends: osmocom-nightly (= 202510291800), librtlsdr0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202510301800), librtlsdr0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Description: Software defined radio receiver for Realtek RTL2832U (tools)
  rtl-sdr is a software defined radio (SDR) receiver software for certain
  low-cost DVB-T/DAB(+) USB dongles based on the Realtek RTL2832U chip.

## rtl-sdr 2.0.2.1.ede3.202510311800

=== include/CMakeLists.txt ===
# Copyright 2012 OSMOCOM Project
#
# This file is part of rtl-sdr
#
# GNU Radio is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.
#
# GNU Radio is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with GNU Radio; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 51 Franklin Street,
# Boston, MA 02110-1301, USA.

########################################################################
# Install public header files
########################################################################
install(FILES
    rtl-sdr.h
    rtl-sdr_export.h
    DESTINATION include
)

=== debian/changelog ===
rtl-sdr (2.0.2.1.ede3.202510311800) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Fri, 31 Oct 2025 18:01:43 +0000

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
 Section: libdevel
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: osmocom-nightly (= 202510301800), librtlsdr0 (= ${binary:Version}),
+Depends: osmocom-nightly (= 202510311800), librtlsdr0 (= ${binary:Version}),
          libusb-1.0-0-dev [!kfreebsd-any],
          libusb2-dev [kfreebsd-any],
          ${misc:Depends}
@@ -31,7 +31,7 @@
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: osmocom-nightly (= 202510301800), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202510311800), ${misc:Depends}, ${shlibs:Depends}
 Multi-Arch: same
 Description: Software defined radio receiver for Realtek RTL2832U (library)
  rtl-sdr is a software defined radio (SDR) receiver software for certain
@@ -41,7 +41,7 @@
 
 Package: rtl-sdr
 Architecture: any
-Depends: osmocom-nightly (= 202510301800), librtlsdr0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202510311800), librtlsdr0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Description: Software defined radio receiver for Realtek RTL2832U (tools)
  rtl-sdr is a software defined radio (SDR) receiver software for certain
  low-cost DVB-T/DAB(+) USB dongles based on the Realtek RTL2832U chip.

## rtl-sdr 2.0.2.1.ede3.202511011800

=== debian/changelog ===
rtl-sdr (2.0.2.1.ede3.202511011800) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Sat, 01 Nov 2025 18:01:42 +0000

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
 Section: libdevel
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: osmocom-nightly (= 202510311800), librtlsdr0 (= ${binary:Version}),
+Depends: osmocom-nightly (= 202511011800), librtlsdr0 (= ${binary:Version}),
          libusb-1.0-0-dev [!kfreebsd-any],
          libusb2-dev [kfreebsd-any],
          ${misc:Depends}
@@ -31,7 +31,7 @@
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: osmocom-nightly (= 202510311800), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202511011800), ${misc:Depends}, ${shlibs:Depends}
 Multi-Arch: same
 Description: Software defined radio receiver for Realtek RTL2832U (library)
  rtl-sdr is a software defined radio (SDR) receiver software for certain
@@ -41,7 +41,7 @@
 
 Package: rtl-sdr
 Architecture: any
-Depends: osmocom-nightly (= 202510311800), librtlsdr0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202511011800), librtlsdr0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Description: Software defined radio receiver for Realtek RTL2832U (tools)
  rtl-sdr is a software defined radio (SDR) receiver software for certain
  low-cost DVB-T/DAB(+) USB dongles based on the Realtek RTL2832U chip.

## rtl-sdr 2.0.2.1.ede3.202511021800

=== debian/changelog ===
rtl-sdr (2.0.2.1.ede3.202511021800) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Sun, 02 Nov 2025 18:01:46 +0000

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
 Section: libdevel
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: osmocom-nightly (= 202511011800), librtlsdr0 (= ${binary:Version}),
+Depends: osmocom-nightly (= 202511021800), librtlsdr0 (= ${binary:Version}),
          libusb-1.0-0-dev [!kfreebsd-any],
          libusb2-dev [kfreebsd-any],
          ${misc:Depends}
@@ -31,7 +31,7 @@
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: osmocom-nightly (= 202511011800), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202511021800), ${misc:Depends}, ${shlibs:Depends}
 Multi-Arch: same
 Description: Software defined radio receiver for Realtek RTL2832U (library)
  rtl-sdr is a software defined radio (SDR) receiver software for certain
@@ -41,7 +41,7 @@
 
 Package: rtl-sdr
 Architecture: any
-Depends: osmocom-nightly (= 202511011800), librtlsdr0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202511021800), librtlsdr0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Description: Software defined radio receiver for Realtek RTL2832U (tools)
  rtl-sdr is a software defined radio (SDR) receiver software for certain
  low-cost DVB-T/DAB(+) USB dongles based on the Realtek RTL2832U chip.

## rtl-sdr 2.0.2.1.ede3.202511031800

=== debian/changelog ===
rtl-sdr (2.0.2.1.ede3.202511031800) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Mon, 03 Nov 2025 18:01:48 +0000

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
 Section: libdevel
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: osmocom-nightly (= 202511021800), librtlsdr0 (= ${binary:Version}),
+Depends: osmocom-nightly (= 202511031800), librtlsdr0 (= ${binary:Version}),
          libusb-1.0-0-dev [!kfreebsd-any],
          libusb2-dev [kfreebsd-any],
          ${misc:Depends}
@@ -31,7 +31,7 @@
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: osmocom-nightly (= 202511021800), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202511031800), ${misc:Depends}, ${shlibs:Depends}
 Multi-Arch: same
 Description: Software defined radio receiver for Realtek RTL2832U (library)
  rtl-sdr is a software defined radio (SDR) receiver software for certain
@@ -41,7 +41,7 @@
 
 Package: rtl-sdr
 Architecture: any
-Depends: osmocom-nightly (= 202511021800), librtlsdr0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202511031800), librtlsdr0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Description: Software defined radio receiver for Realtek RTL2832U (tools)
  rtl-sdr is a software defined radio (SDR) receiver software for certain
  low-cost DVB-T/DAB(+) USB dongles based on the Realtek RTL2832U chip.

## rtl-sdr 2.0.2.1.ede3.202511041800

=== debian/changelog ===
rtl-sdr (2.0.2.1.ede3.202511041800) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Tue, 04 Nov 2025 18:01:51 +0000

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
 Section: libdevel
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: osmocom-nightly (= 202511031800), librtlsdr0 (= ${binary:Version}),
+Depends: osmocom-nightly (= 202511041800), librtlsdr0 (= ${binary:Version}),
          libusb-1.0-0-dev [!kfreebsd-any],
          libusb2-dev [kfreebsd-any],
          ${misc:Depends}
@@ -31,7 +31,7 @@
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: osmocom-nightly (= 202511031800), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202511041800), ${misc:Depends}, ${shlibs:Depends}
 Multi-Arch: same
 Description: Software defined radio receiver for Realtek RTL2832U (library)
  rtl-sdr is a software defined radio (SDR) receiver software for certain
@@ -41,7 +41,7 @@
 
 Package: rtl-sdr
 Architecture: any
-Depends: osmocom-nightly (= 202511031800), librtlsdr0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202511041800), librtlsdr0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Description: Software defined radio receiver for Realtek RTL2832U (tools)
  rtl-sdr is a software defined radio (SDR) receiver software for certain
  low-cost DVB-T/DAB(+) USB dongles based on the Realtek RTL2832U chip.

## rtl-sdr 2.0.2.1.ede3.202511051800

=== debian/changelog ===
rtl-sdr (2.0.2.1.ede3.202511051800) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Wed, 05 Nov 2025 18:01:47 +0000

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
 Section: libdevel
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: osmocom-nightly (= 202511041800), librtlsdr0 (= ${binary:Version}),
+Depends: osmocom-nightly (= 202511051800), librtlsdr0 (= ${binary:Version}),
          libusb-1.0-0-dev [!kfreebsd-any],
          libusb2-dev [kfreebsd-any],
          ${misc:Depends}
@@ -31,7 +31,7 @@
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: osmocom-nightly (= 202511041800), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202511051800), ${misc:Depends}, ${shlibs:Depends}
 Multi-Arch: same
 Description: Software defined radio receiver for Realtek RTL2832U (library)
  rtl-sdr is a software defined radio (SDR) receiver software for certain
@@ -41,7 +41,7 @@
 
 Package: rtl-sdr
 Architecture: any
-Depends: osmocom-nightly (= 202511041800), librtlsdr0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202511051800), librtlsdr0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Description: Software defined radio receiver for Realtek RTL2832U (tools)
  rtl-sdr is a software defined radio (SDR) receiver software for certain
  low-cost DVB-T/DAB(+) USB dongles based on the Realtek RTL2832U chip.

## rtl-sdr 2.0.2.1.ede3.202511061800

=== debian/changelog ===
rtl-sdr (2.0.2.1.ede3.202511061800) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Thu, 06 Nov 2025 18:01:55 +0000

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
 Section: libdevel
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: osmocom-nightly (= 202511051800), librtlsdr0 (= ${binary:Version}),
+Depends: osmocom-nightly (= 202511061800), librtlsdr0 (= ${binary:Version}),
          libusb-1.0-0-dev [!kfreebsd-any],
          libusb2-dev [kfreebsd-any],
          ${misc:Depends}
@@ -31,7 +31,7 @@
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: osmocom-nightly (= 202511051800), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202511061800), ${misc:Depends}, ${shlibs:Depends}
 Multi-Arch: same
 Description: Software defined radio receiver for Realtek RTL2832U (library)
  rtl-sdr is a software defined radio (SDR) receiver software for certain
@@ -41,7 +41,7 @@
 
 Package: rtl-sdr
 Architecture: any
-Depends: osmocom-nightly (= 202511051800), librtlsdr0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202511061800), librtlsdr0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Description: Software defined radio receiver for Realtek RTL2832U (tools)
  rtl-sdr is a software defined radio (SDR) receiver software for certain
  low-cost DVB-T/DAB(+) USB dongles based on the Realtek RTL2832U chip.

## rtl-sdr 2.0.2.1.ede3.202511071800

=== debian/changelog ===
rtl-sdr (2.0.2.1.ede3.202511071800) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Fri, 07 Nov 2025 18:01:40 +0000

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
 Section: libdevel
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: osmocom-nightly (= 202511061800), librtlsdr0 (= ${binary:Version}),
+Depends: osmocom-nightly (= 202511071800), librtlsdr0 (= ${binary:Version}),
          libusb-1.0-0-dev [!kfreebsd-any],
          libusb2-dev [kfreebsd-any],
          ${misc:Depends}
@@ -31,7 +31,7 @@
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: osmocom-nightly (= 202511061800), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202511071800), ${misc:Depends}, ${shlibs:Depends}
 Multi-Arch: same
 Description: Software defined radio receiver for Realtek RTL2832U (library)
  rtl-sdr is a software defined radio (SDR) receiver software for certain
@@ -41,7 +41,7 @@
 
 Package: rtl-sdr
 Architecture: any
-Depends: osmocom-nightly (= 202511061800), librtlsdr0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202511071800), librtlsdr0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Description: Software defined radio receiver for Realtek RTL2832U (tools)
  rtl-sdr is a software defined radio (SDR) receiver software for certain
  low-cost DVB-T/DAB(+) USB dongles based on the Realtek RTL2832U chip.

## rtl-sdr 2.0.2.1.ede3.202511081800

=== debian/changelog ===
rtl-sdr (2.0.2.1.ede3.202511081800) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Sat, 08 Nov 2025 18:01:37 +0000

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
 Section: libdevel
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: osmocom-nightly (= 202511071800), librtlsdr0 (= ${binary:Version}),
+Depends: osmocom-nightly (= 202511081800), librtlsdr0 (= ${binary:Version}),
          libusb-1.0-0-dev [!kfreebsd-any],
          libusb2-dev [kfreebsd-any],
          ${misc:Depends}
@@ -31,7 +31,7 @@
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: osmocom-nightly (= 202511071800), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202511081800), ${misc:Depends}, ${shlibs:Depends}
 Multi-Arch: same
 Description: Software defined radio receiver for Realtek RTL2832U (library)
  rtl-sdr is a software defined radio (SDR) receiver software for certain
@@ -41,7 +41,7 @@
 
 Package: rtl-sdr
 Architecture: any
-Depends: osmocom-nightly (= 202511071800), librtlsdr0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202511081800), librtlsdr0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Description: Software defined radio receiver for Realtek RTL2832U (tools)
  rtl-sdr is a software defined radio (SDR) receiver software for certain
  low-cost DVB-T/DAB(+) USB dongles based on the Realtek RTL2832U chip.

## rtl-sdr 2.0.2.1.ede3.202511091800

=== debian/changelog ===
rtl-sdr (2.0.2.1.ede3.202511091800) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Sun, 09 Nov 2025 18:01:38 +0000

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
 Section: libdevel
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: osmocom-nightly (= 202511081800), librtlsdr0 (= ${binary:Version}),
+Depends: osmocom-nightly (= 202511091800), librtlsdr0 (= ${binary:Version}),
          libusb-1.0-0-dev [!kfreebsd-any],
          libusb2-dev [kfreebsd-any],
          ${misc:Depends}
@@ -31,7 +31,7 @@
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: osmocom-nightly (= 202511081800), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202511091800), ${misc:Depends}, ${shlibs:Depends}
 Multi-Arch: same
 Description: Software defined radio receiver for Realtek RTL2832U (library)
  rtl-sdr is a software defined radio (SDR) receiver software for certain
@@ -41,7 +41,7 @@
 
 Package: rtl-sdr
 Architecture: any
-Depends: osmocom-nightly (= 202511081800), librtlsdr0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202511091800), librtlsdr0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Description: Software defined radio receiver for Realtek RTL2832U (tools)
  rtl-sdr is a software defined radio (SDR) receiver software for certain
  low-cost DVB-T/DAB(+) USB dongles based on the Realtek RTL2832U chip.

## rtl-sdr 2.0.2.1.ede3.202511101800

=== debian/changelog ===
rtl-sdr (2.0.2.1.ede3.202511101800) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Mon, 10 Nov 2025 18:01:38 +0000

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
 Section: libdevel
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: osmocom-nightly (= 202511091800), librtlsdr0 (= ${binary:Version}),
+Depends: osmocom-nightly (= 202511101800), librtlsdr0 (= ${binary:Version}),
          libusb-1.0-0-dev [!kfreebsd-any],
          libusb2-dev [kfreebsd-any],
          ${misc:Depends}
@@ -31,7 +31,7 @@
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: osmocom-nightly (= 202511091800), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202511101800), ${misc:Depends}, ${shlibs:Depends}
 Multi-Arch: same
 Description: Software defined radio receiver for Realtek RTL2832U (library)
  rtl-sdr is a software defined radio (SDR) receiver software for certain
@@ -41,7 +41,7 @@
 
 Package: rtl-sdr
 Architecture: any
-Depends: osmocom-nightly (= 202511091800), librtlsdr0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202511101800), librtlsdr0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Description: Software defined radio receiver for Realtek RTL2832U (tools)
  rtl-sdr is a software defined radio (SDR) receiver software for certain
  low-cost DVB-T/DAB(+) USB dongles based on the Realtek RTL2832U chip.

## rtl-sdr 2.0.2.2.ae0d.202511111800

=== debian/changelog ===
rtl-sdr (2.0.2.2.ae0d.202511111800) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Tue, 11 Nov 2025 18:01:40 +0000

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
 Section: libdevel
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: osmocom-nightly (= 202511101800), librtlsdr0 (= ${binary:Version}),
+Depends: osmocom-nightly (= 202511111800), librtlsdr0 (= ${binary:Version}),
          libusb-1.0-0-dev [!kfreebsd-any],
          libusb2-dev [kfreebsd-any],
          ${misc:Depends}
@@ -31,7 +31,7 @@
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: osmocom-nightly (= 202511101800), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202511111800), ${misc:Depends}, ${shlibs:Depends}
 Multi-Arch: same
 Description: Software defined radio receiver for Realtek RTL2832U (library)
  rtl-sdr is a software defined radio (SDR) receiver software for certain
@@ -41,7 +41,7 @@
 
 Package: rtl-sdr
 Architecture: any
-Depends: osmocom-nightly (= 202511101800), librtlsdr0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202511111800), librtlsdr0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Description: Software defined radio receiver for Realtek RTL2832U (tools)
  rtl-sdr is a software defined radio (SDR) receiver software for certain
  low-cost DVB-T/DAB(+) USB dongles based on the Realtek RTL2832U chip.

## rtl-sdr 2.0.2.2.ae0d.202511121801

=== CMakeLists.txt ===
# Copyright 2012-2020 Osmocom Project
#
# This file is part of rtl-sdr
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.


########################################################################
# Project setup
########################################################################
cmake_minimum_required(VERSION 3.7.2)

# workaround for https://gitlab.kitware.com/cmake/cmake/issues/16967
if(${CMAKE_VERSION} VERSION_LESS "3.12.0")
    project(rtlsdr)
else()
    project(rtlsdr C)
endif()

#select the release build type by default to get optimization flags
if(NOT CMAKE_BUILD_TYPE)
   set(CMAKE_BUILD_TYPE "Release")
   message(STATUS "Build type not specified: defaulting to release.")
endif(NOT CMAKE_BUILD_TYPE)

list(APPEND CMAKE_MODULE_PATH ${PROJECT_SOURCE_DIR}/cmake/Modules)

include(GNUInstallDirs)
include(GenerateExportHeader)
include(CMakePackageConfigHelpers)

# Set the version information here
set(VERSION_INFO_MAJOR_VERSION 2) # increment major on api compatibility changes
set(VERSION_INFO_MINOR_VERSION 0) # increment minor on feature-level changes
set(VERSION_INFO_PATCH_VERSION 2) # increment patch for bug fixes and docs
include(Version) # setup version info

########################################################################
# Compiler specific setup
########################################################################
if(CMAKE_COMPILER_IS_GNUCC AND NOT WIN32)
    ADD_DEFINITIONS(-Wall)
    ADD_DEFINITIONS(-Wextra)
    ADD_DEFINITIONS(-Wno-unused-parameter)
    ADD_DEFINITIONS(-Wno-unused)
    ADD_DEFINITIONS(-Wsign-compare)
    ADD_DEFINITIONS(-Wdeclaration-after-statement)
    #http://gcc.gnu.org/wiki/Visibility
    add_definitions(-fvisibility=hidden)
elseif(MSVC14 OR MSVC14)
#pthread-w32 issue, timespec is now part of time.h
    ADD_DEFINITIONS(-D_TIMESPEC_DEFINED)
endif()

########################################################################
# Find build dependencies
########################################################################
find_package(Threads)
find_package(PkgConfig)

if(PKG_CONFIG_FOUND)
    pkg_check_modules(LIBUSB libusb-1.0 IMPORTED_TARGET)
    if(LIBUSB_LINK_LIBRARIES)
        set(LIBUSB_LIBRARIES "${LIBUSB_LINK_LIBRARIES}")
    endif()
else()
    set(LIBUSB_LIBRARIES "" CACHE STRING "manual libusb path")
    set(LIBUSB_INCLUDE_DIRS "" CACHE STRING "manual libusb includepath")
endif()

if(MSVC)
    set(THREADS_PTHREADS_LIBRARY "" CACHE STRING "manual pthread-win32 path")
    set(THREADS_PTHREADS_INCLUDE_DIR "" CACHE STRING "manual pthread-win32 includepath")
else()
    set(THREADS_PTHREADS_LIBRARY "" CACHE INTERNAL "manual pthread-win32 path")
    set(THREADS_PTHREADS_INCLUDE_DIR "" CACHE INTERNAL "manual pthread-win32 includepath")
endif()

if(PKG_CONFIG_FOUND AND NOT LIBUSB_FOUND)
    message(FATAL_ERROR "LibUSB 1.0 required to compile rtl-sdr")
endif()
if(NOT THREADS_FOUND)
    message(FATAL_ERROR "pthreads(-win32) required to compile rtl-sdr")
endif()

########################################################################
# Create uninstall target
########################################################################
configure_file(
    ${PROJECT_SOURCE_DIR}/cmake/cmake_uninstall.cmake.in
    ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake
@ONLY)

add_custom_target(uninstall
    ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake
)

########################################################################
# Install udev rules
########################################################################
option(INSTALL_UDEV_RULES "Install udev rules for RTL-SDR" OFF)
if (INSTALL_UDEV_RULES)
    install (
        FILES rtl-sdr.rules
        DESTINATION "/etc/udev/rules.d"
        COMPONENT "udev"
        )
else (INSTALL_UDEV_RULES)
    message (STATUS "Udev rules not being installed, install them with -DINSTALL_UDEV_RULES=ON")
endif (INSTALL_UDEV_RULES)

option(DETACH_KERNEL_DRIVER "Detach kernel driver if loaded" OFF)
if (DETACH_KERNEL_DRIVER)
    message (STATUS "Building with kernel driver detaching enabled")
    add_definitions(-DDETACH_KERNEL_DRIVER=1)
else (DETACH_KERNEL_DRIVER)
    message (STATUS "Building with kernel driver detaching disabled, use -DDETACH_KERNEL_DRIVER=ON to enable")
endif (DETACH_KERNEL_DRIVER)

option(ENABLE_ZEROCOPY "Enable usbfs zero-copy support" OFF)
if (ENABLE_ZEROCOPY)
    message (STATUS "Building with usbfs zero-copy support enabled")
    add_definitions(-DENABLE_ZEROCOPY=1)
else (ENABLE_ZEROCOPY)
    message (STATUS "Building with usbfs zero-copy support disabled, use -DENABLE_ZEROCOPY=ON to enable")
endif (ENABLE_ZEROCOPY)

########################################################################
# Install public header files
########################################################################
install(FILES
    include/rtl-sdr.h
    include/rtl-sdr_export.h
    DESTINATION include
)

########################################################################
# Add subdirectories
########################################################################
add_subdirectory(src)

########################################################################
# Create Pkg Config File
########################################################################
FOREACH(inc ${LIBUSB_INCLUDEDIR})
    LIST(APPEND RTLSDR_PC_CFLAGS "-I${inc}")
ENDFOREACH(inc)

FOREACH(lib ${LIBUSB_LIBRARY_DIRS})
    LIST(APPEND RTLSDR_PC_LIBS "-L${lib}")
ENDFOREACH(lib)

# use space-separation format for the pc file
STRING(REPLACE ";" " " RTLSDR_PC_CFLAGS "${RTLSDR_PC_CFLAGS}")
STRING(REPLACE ";" " " RTLSDR_PC_LIBS "${RTLSDR_PC_LIBS}")

# unset these vars to avoid hard-coded paths to cross environment
IF(CMAKE_CROSSCOMPILING)
    UNSET(RTLSDR_PC_CFLAGS)
    UNSET(RTLSDR_PC_LIBS)
ENDIF(CMAKE_CROSSCOMPILING)

set(prefix "${CMAKE_INSTALL_PREFIX}")
set(exec_prefix \${prefix})
set(includedir \${prefix}/include)
set(libdir \${exec_prefix}/lib)

CONFIGURE_FILE(
    ${CMAKE_CURRENT_SOURCE_DIR}/librtlsdr.pc.in
    ${CMAKE_CURRENT_BINARY_DIR}/librtlsdr.pc
@ONLY)

INSTALL(
    FILES ${CMAKE_CURRENT_BINARY_DIR}/librtlsdr.pc
    DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig
)

########################################################################
# Create CMake Config File
########################################################################
write_basic_package_version_file(
  "${CMAKE_CURRENT_BINARY_DIR}/rtlsdr/rtlsdrConfigVersion.cmake"
  VERSION ${VERSION}
  COMPATIBILITY AnyNewerVersion
  )

configure_file(cmake/rtlsdrConfig.cmake
  "${CMAKE_CURRENT_BINARY_DIR}/rtlsdr/rtlsdrConfig.cmake"
  COPYONLY
  )

set(ConfigPackageLocation lib/cmake/rtlsdr)
install(EXPORT RTLSDR-export
  FILE rtlsdrTargets.cmake
  NAMESPACE rtlsdr::
  DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/rtlsdr/
  )
install(
  FILES
  cmake/rtlsdrConfig.cmake
  "${CMAKE_CURRENT_BINARY_DIR}/rtlsdr/rtlsdrConfigVersion.cmake"
  DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/rtlsdr/
  COMPONENT Devel
  )

########################################################################
# Print Summary
########################################################################
MESSAGE(STATUS "Building for version: ${VERSION} / ${LIBVER}")
MESSAGE(STATUS "Using install prefix: ${CMAKE_INSTALL_PREFIX}")

=== debian/changelog ===
rtl-sdr (2.0.2.2.ae0d.202511121801) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Wed, 12 Nov 2025 18:03:00 +0000

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
 Section: libdevel
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: osmocom-nightly (= 202511111800), librtlsdr0 (= ${binary:Version}),
+Depends: osmocom-nightly (= 202511121801), librtlsdr0 (= ${binary:Version}),
          libusb-1.0-0-dev [!kfreebsd-any],
          libusb2-dev [kfreebsd-any],
          ${misc:Depends}
@@ -31,7 +31,7 @@
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: osmocom-nightly (= 202511111800), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202511121801), ${misc:Depends}, ${shlibs:Depends}
 Multi-Arch: same
 Description: Software defined radio receiver for Realtek RTL2832U (library)
  rtl-sdr is a software defined radio (SDR) receiver software for certain
@@ -41,7 +41,7 @@
 
 Package: rtl-sdr
 Architecture: any
-Depends: osmocom-nightly (= 202511111800), librtlsdr0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202511121801), librtlsdr0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Description: Software defined radio receiver for Realtek RTL2832U (tools)
  rtl-sdr is a software defined radio (SDR) receiver software for certain
  low-cost DVB-T/DAB(+) USB dongles based on the Realtek RTL2832U chip.

## rtl-sdr 2.0.2.2.ae0d.202511131800

=== debian/changelog ===
rtl-sdr (2.0.2.2.ae0d.202511131800) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Thu, 13 Nov 2025 18:01:39 +0000

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
 Section: libdevel
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: osmocom-nightly (= 202511121801), librtlsdr0 (= ${binary:Version}),
+Depends: osmocom-nightly (= 202511131800), librtlsdr0 (= ${binary:Version}),
          libusb-1.0-0-dev [!kfreebsd-any],
          libusb2-dev [kfreebsd-any],
          ${misc:Depends}
@@ -31,7 +31,7 @@
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: osmocom-nightly (= 202511121801), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202511131800), ${misc:Depends}, ${shlibs:Depends}
 Multi-Arch: same
 Description: Software defined radio receiver for Realtek RTL2832U (library)
  rtl-sdr is a software defined radio (SDR) receiver software for certain
@@ -41,7 +41,7 @@
 
 Package: rtl-sdr
 Architecture: any
-Depends: osmocom-nightly (= 202511121801), librtlsdr0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202511131800), librtlsdr0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Description: Software defined radio receiver for Realtek RTL2832U (tools)
  rtl-sdr is a software defined radio (SDR) receiver software for certain
  low-cost DVB-T/DAB(+) USB dongles based on the Realtek RTL2832U chip.

## rtl-sdr 2.0.2.2.ae0d.202511141800

=== debian/changelog ===
rtl-sdr (2.0.2.2.ae0d.202511141800) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom nightly feed

 -- Osmocom OBS scripts <info@osmocom.org>  Fri, 14 Nov 2025 18:01:36 +0000

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
 Section: libdevel
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: osmocom-nightly (= 202511131800), librtlsdr0 (= ${binary:Version}),
+Depends: osmocom-nightly (= 202511141800), librtlsdr0 (= ${binary:Version}),
          libusb-1.0-0-dev [!kfreebsd-any],
          libusb2-dev [kfreebsd-any],
          ${misc:Depends}
@@ -31,7 +31,7 @@
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: osmocom-nightly (= 202511131800), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202511141800), ${misc:Depends}, ${shlibs:Depends}
 Multi-Arch: same
 Description: Software defined radio receiver for Realtek RTL2832U (library)
  rtl-sdr is a software defined radio (SDR) receiver software for certain
@@ -41,7 +41,7 @@
 
 Package: rtl-sdr
 Architecture: any
-Depends: osmocom-nightly (= 202511131800), librtlsdr0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Depends: osmocom-nightly (= 202511141800), librtlsdr0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Description: Software defined radio receiver for Realtek RTL2832U (tools)
  rtl-sdr is a software defined radio (SDR) receiver software for certain
  low-cost DVB-T/DAB(+) USB dongles based on the Realtek RTL2832U chip.
